aboutsummaryrefslogtreecommitdiff
path: root/test-bootstrap-jim
diff options
context:
space:
mode:
authorSteve Bennett <steveb@workware.net.au>2021-01-03 13:19:00 +1000
committerSteve Bennett <steveb@workware.net.au>2021-01-03 13:19:00 +1000
commit7894e90c8aa5f4317bd9c4b631e2c30e74c9b1b2 (patch)
tree6e34bc6d938fceedf8eff8214a9a94ccb528ddb5 /test-bootstrap-jim
parentaed37159d551144579fe5267bb3dd297cfe9444e (diff)
downloadjimtcl-7894e90c8aa5f4317bd9c4b631e2c30e74c9b1b2.zip
jimtcl-7894e90c8aa5f4317bd9c4b631e2c30e74c9b1b2.tar.gz
jimtcl-7894e90c8aa5f4317bd9c4b631e2c30e74c9b1b2.tar.bz2
travis ci build: test bootstrap jimsh
Make sure we don't break the bootstrap jimsh Also build with --maintainer to check for assertion failures and reference count issues. Signed-off-by: Steve Bennett <steveb@workware.net.au>
Diffstat (limited to 'test-bootstrap-jim')
-rwxr-xr-xtest-bootstrap-jim10
1 files changed, 10 insertions, 0 deletions
diff --git a/test-bootstrap-jim b/test-bootstrap-jim
new file mode 100755
index 0000000..ed5a67a
--- /dev/null
+++ b/test-bootstrap-jim
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+echo "Building bootstrap jimsh"
+./make-bootstrap-jim >jimsh_bootstrap.c
+${CC:-cc} -o jimsh_bootstrap jimsh_bootstrap.c
+echo "Testing bootstrap jimsh"
+( cd tests; ../jimsh_bootstrap runall.tcl )
+echo "All tests passed"
+rm jimsh_bootstrap jimsh_bootstrap.c